---
title: Resource Group Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[IAM](https://developers.cloudflare.com/api/go/resources/iam)

[Resource Groups](https://developers.cloudflare.com/api/go/resources/iam/subresources/resource_groups)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Resource Group Details

client.IAM.ResourceGroups.Get(ctx, resourceGroupID, query) (\*[ResourceGroupGetResponse](<https://developers.cloudflare.com/api/go/resources/iam#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/iam/resource\_groups/{resource\_group\_id}

Get information about a specific resource group in an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SCIM Provisioning``Account Settings Write``Account Settings Read`

##### ParametersExpand Collapse

resourceGroupID string

Resource Group identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.resource_groups%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20resource_group_id%20%3E%20(schema)>)

<details>

<summary>

query ResourceGroupGetParams

</summary>

AccountID param.Field\[string]

Account identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.resource_groups%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.resource_groups%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ResourceGroupGetResponse struct{…}

A group of scoped resources.

</summary>

ID string

Identifier of the resource group.

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Scope ResourceGroupGetResponseScope

A scope is a combination of scope objects which provides additional context.

</summary>

Key string

This is a combination of pre-defined resource name and identifier (like Account ID etc.)

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20key">Link to this property</a>

<details>

<summary>

Objects \[]ResourceGroupGetResponseScopeObject

A list of scope objects for additional context.

</summary>

Key string

This is a combination of pre-defined resource name and identifier (like Zone ID etc.)

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20objects%20%3E%20(items)%20%3E%20(property)%20key">Link to this property</a>

</details>

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20objects">Link to this property</a>

</details>

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope">Link to this property</a>

<details>

<summary>

Meta ResourceGroupGetResponseMetaOptional

Attributes associated to the resource group.

</summary>

Key stringOptional

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20key">Link to this property</a>

Value stringOptional

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

Name stringOptional

Name of the resource group.

<a href="#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.resource_groups%20%3E%20(model)%20ResourceGroupGetResponse%20%3E%20(schema)>)

### Resource Group Details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/iam"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  resourceGroup, err := client.IAM.ResourceGroups.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    iam.ResourceGroupGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", resourceGroup.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "scope": {
      "key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4",
      "objects": [
        {
          "key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5"
        }
      ]
    },
    "meta": {
      "key": "key",
      "value": "value"
    },
    "name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "scope": {
      "key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4",
      "objects": [
        {
          "key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5"
        }
      ]
    },
    "meta": {
      "key": "key",
      "value": "value"
    },
    "name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4"
  }
}
```